
package com.tmerclub.cloud.common.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * sku信息DTO
 *
 * @author tmerclub
 * @date 2020-10-28 15:27:24
 */
public class OrderStationSpuDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "属性id")
    private Long skuId;
    @Schema(description = "购买数量")
    private Integer count;
    /**
     * 枚举类 SpuMold
     */
    @Schema(description = "商品类别 0.实物商品 1. 虚拟商品 2.组合商品")
    private Integer spuMold;

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public Integer getSpuMold() {
        return spuMold;
    }

    public void setSpuMold(Integer spuMold) {
        this.spuMold = spuMold;
    }

    @Override
    public String toString() {
        return "OrderStationSpuDTO{" +
                "skuId=" + skuId +
                ", count=" + count +
                ", spuMold=" + spuMold +
                '}';
    }
}
